System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter

This converter can only convert an enumeration object to and from a string. The class provides the property to get an interface that can be used to sort the values of the enumeration. By default, the enumeration values are sorted in the order they appear in the file.

For more information about type converters, see the base class and How to: Implement a Type Converter.

You should never create an instance of an . Instead, call the method of the class. For more information, see the examples in the base class.

Provides a type converter to convert objects to and from various other representations.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class for the given type.

  A that represents the type of enumeration to associate with this enumeration converter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This converter can only convert an enumeration object to and from a string.

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether this converter can convert an object in the given source type to an enumeration object using the specified context.

  true if this converter can perform the conversion; otherwise, false.

  An that provides a format context. A that represents the type you wish to convert from.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether this converter can convert an object to the given destination type using the context.

  true if this converter can perform the conversion; otherwise, false.

  An that provides a format context. A that represents the type you wish to convert to.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IComparer To be added: an object of type 'Collections.IComparer'

  By default, the enumeration values are sorted in the order they appear in the file.

  Gets an that can be used to sort the values of the enumeration.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  This converter can only convert an enumeration object to and from a string.

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Converts the specified value object to an enumeration object.

  An that represents the converted .

  An that provides a format context. An optional . If not supplied, the current culture is assumed. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` ``

  This converter can only convert an enumeration object to and from a string.

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  The behavior of the method is undefined if the enumeration has multiple fields with the same value.

  Converts the given value object to the specified destination type.

  An that represents the converted .

  An that provides a format context. An optional . If not supplied, the current culture is assumed. The to convert. The to convert the value to.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Specifies the type of the enumerator this converter is associated with.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Any fields of the enumeration that are marked with set to false will not be returned.

  Gets a collection of standard values for the data type this validator is designed for.

  A that holds a standard set of valid values, or null if the data type does not support a standard set of values.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether the list of standard values returned from is an exclusive list using the specified context.

  true if the returned from is an exhaustive list of possible values; false if other values are possible.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether this object supports a standard set of values that can be picked from a list using the specified context.

  true because should be called to find a common set of values the object supports. This method never returns false.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether the given object value is valid for this type.

  true if the specified value is valid for this object; otherwise, false.

  An that provides a format context. The to test.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter+StandardValuesCollection To be added: an object of type 'TypeConverter+StandardValuesCollection' To be added

  Gets or sets a that specifies the possible values for the enumeration.